SciQLOP - Bug #708

Plot Minimum Size
20/06/2016 12:00 PM - Anonymous

Status: Closed Start date: 20/06/2016
Priority: Normal Due date:

Assignee: % Done: 0%
Category: legacy Estimated time: 0.00 hour
Target version: Spent time: 2.00 hours
revision: r0 blocked: No
Description

| have difficulties to set a minimum size for a plot.

| tried to reimplement sizeHint, minimumSizeHint, and to call setMinimumSize without success.

History

#1 - 20/06/2016 01:49 PM - Anonymous

Problem solved.
QChartView is setting its minimum size to the QChart minimum size.
| changed the chart minimum size and everything works fine now.

#2 - 29/06/2016 09:51 AM - Anonymous

- Status changed from New to Resolved

Fixed this issue by giving a minimum size to the chart in Plot::initPlot
and adding setSizePolicy(QSizePolicy::MinimumExpanding, QSizePolicy::MinimumExpanding) in CustomChartView

#3 - 27/09/2017 09:42 PM - Nicolas Aunai

- Status changed from Resolved to Closed

#4 - 14/02/2019 10:28 AM - Nicolas Aunai
- Category set to legacy

19/04/2024

1/1



http://www.tcpdf.org

